import React, { PropsWithChildren } from 'react';
import { MRT_Row, MRT_TableInstance } from '.';
import { MRT_Icons } from './icons';
import { MRT_Localization } from './localization';
import { MaterialReactTableProps } from './MaterialReactTable';
export declare type UseMRT<D extends {} = {}> = MaterialReactTableProps<D> & {
    anyRowsCanExpand: boolean;
    anyRowsExpanded: boolean;
    currentEditingRow: MRT_Row<D> | null;
    densePadding: boolean;
    fullScreen: boolean;
    icons: MRT_Icons;
    localization: MRT_Localization;
    setCurrentEditingRow: (currentRowEditingId: MRT_Row<D> | null) => void;
    setDensePadding: (densePadding: boolean) => void;
    setFullScreen: (fullScreen: boolean) => void;
    setShowFilters: (showFilters: boolean) => void;
    setShowSearch: (showSearch: boolean) => void;
    showFilters: boolean;
    showSearch: boolean;
    tableInstance: MRT_TableInstance<D>;
};
export declare const MaterialReactTableProvider: <D extends {}>(props: React.PropsWithChildren<MaterialReactTableProps<D>>) => JSX.Element;
export declare const useMRT: <D extends {}>() => UseMRT<D>;
